Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.thinger.kernel
Enum ResourceInterface.State

    java.lang.Object
      java.lang.Enum<ResourceInterface.State>
          things.thinger.kernel.ResourceInterface.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResourceInterface.State>

Enclosing interface:
  ResourceInterface

    public static enum ResourceInterface.State

extends java.lang.Enum<ResourceInterface.State>

The states are provided as a convenience. The resource may or may not implement them.

     NEW       : Instantiated but not initialized.

     RUNNING   : Active and healthy.

     UNHEALTHY : Active but not healthy.

     DISPOSING : Being disposed.

     DEAD      : Dead and gone.

Enum Constant Summary
`DEAD`
`DISPOSING`
`NEW`
`RUNNING`
`UNHEALTHY`

Method Summary
`static ResourceInterface.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResourceInterface.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEW

    public static final ResourceInterface.State NEW

### RUNNING

    public static final ResourceInterface.State RUNNING

### UNHEALTHY

    public static final ResourceInterface.State UNHEALTHY

### DISPOSING

    public static final ResourceInterface.State DISPOSING

### DEAD

    public static final ResourceInterface.State DEAD

Method Detail

### values

    public static ResourceInterface.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResourceInterface.State c : ResourceInterface.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResourceInterface.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.